Skip to main content
POST
/
v1
/
generation
/
upload-file
Upload File
curl --request POST \
  --url https://api.weryai.com/v1/generation/upload-file \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'batch_no=<string>' \
  --form fixed=false
{
  "status": 0,
  "desc": "success",
  "message": "success",
  "data": {
    "object_url_list": [
      "https://static.weryai.com/growth/video/weryai_1234567890abcdef.mp4"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authenticate using Bearer token. Get your API Key from the WeryAI Console.

Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx

Body

multipart/form-data
file
file
required

File to upload

batch_no
string

Batch number for rate-limit reuse

fixed
boolean
default:false

Whether to use fixed file name

Response

Upload successful

status
integer

Business status code

Example:

0

desc
string

Status description

Example:

"success"

message
string

Multi-language message

Example:

"success"

data
object